/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

BEGIN

  --
  -- Register Save timecard Log Entry Interim Responses
  --
  xxas_com_sr_pkg.seed_update_service
    (p_service_name      => 'SaveTimecardLogEntryInterimResponse'
    ,p_securing_function => 'XXAS_SRV_S_TCM_LE_IR_PERM'
    ,p_plsql_procedure   => 'xxas_tcm_log_entry_pkg.save_interim_response'
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pLogEntryId', xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pInterimResponse', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pInterimComments', xxas_com_sr_pkg.g_VARCHAR2)));

END;
/
COMMIT;
EXIT;
